commit:     df82048efd2f0db0a9a2263e19c517eb17d1e14d
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 19 17:46:39 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Feb 19 17:46:55 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=df82048e

media-video/griffith: EAPI-7 bump

Package-Manager: Portage-2.3.61, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 media-video/griffith/files/0.10-fix_lib_path.patch   |  4 ++--
 .../griffith/files/griffith-0.13-validators.patch    |  4 ++--
 media-video/griffith/griffith-0.13-r2.ebuild         | 20 +++++++++++++-------
 3 files changed, 17 insertions(+), 11 deletions(-)

diff --git a/media-video/griffith/files/0.10-fix_lib_path.patch 
b/media-video/griffith/files/0.10-fix_lib_path.patch
index 952448f0f01..9c918b25f48 100644
--- a/media-video/griffith/files/0.10-fix_lib_path.patch
+++ b/media-video/griffith/files/0.10-fix_lib_path.patch
@@ -1,7 +1,7 @@
 Index: lib/initialize.py
 ===================================================================
---- lib.orig/initialize.py
-+++ lib/initialize.py
+--- a/lib/initialize.py
++++ b/lib/initialize.py
 @@ -73,7 +73,7 @@ def locations(self, home_dir):
              os.environ['LANG'] = lang
  

diff --git a/media-video/griffith/files/griffith-0.13-validators.patch 
b/media-video/griffith/files/griffith-0.13-validators.patch
index f94275f3c17..9c39feec009 100644
--- a/media-video/griffith/files/griffith-0.13-validators.patch
+++ b/media-video/griffith/files/griffith-0.13-validators.patch
@@ -1,5 +1,5 @@
---- a/griffith-0.13/lib/db/validators.py       2018-09-02 00:37:03.052248916 
+0300
-+++ b/griffith-0.13/lib/db/validators.py       2018-09-02 00:37:22.462248580 
+0300
+--- griffith-0.13/lib/db/validators.py
++++ griffith-0.13/lib/db/validators.py
 @@ -23,7 +23,13 @@
  
  import logging

diff --git a/media-video/griffith/griffith-0.13-r2.ebuild 
b/media-video/griffith/griffith-0.13-r2.ebuild
index 788a9f95c7e..a4a8911d4db 100644
--- a/media-video/griffith/griffith-0.13-r2.ebuild
+++ b/media-video/griffith/griffith-0.13-r2.ebuild
@@ -1,12 +1,12 @@
 # Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
 PYTHON_COMPAT=( python2_7 )
 PYTHON_REQ_USE='sqlite'
 
-inherit versionator python-single-r1 multilib
+inherit python-single-r1
 
 ARTWORK_PV="0.9.4"
 
@@ -31,6 +31,11 @@ RDEPEND="
 DEPEND="${RDEPEND}
        doc? ( app-text/docbook2X )"
 
+PATCHES=(
+       "${FILESDIR}/0.10-fix_lib_path.patch"
+       "${FILESDIR}/griffith-0.13-validators.patch"
+)
+
 pkg_setup() {
        python-single-r1_pkg_setup
 }
@@ -45,8 +50,7 @@ src_prepare() {
                -e 's/ISO-8859-1/UTF-8/' \
                "${S}"/lib/gconsole.py || die "sed failed"
 
-       epatch "${FILESDIR}/0.10-fix_lib_path.patch"
-       epatch "${FILESDIR}/griffith-0.13-validators.patch"
+       default
 }
 
 src_compile() {
@@ -55,17 +59,19 @@ src_compile() {
 }
 
 src_install() {
-       use doc || { sed -i -e '/docs/d' Makefile || die ; }
+       if ! use doc ; then
+               sed -i -e '/docs/d' Makefile || die
+       fi
 
        emake \
                LIBDIR="${D}/usr/$(get_libdir)/griffith" \
                DESTDIR="${D}" DOC2MAN=docbook2man.pl install
        dodoc AUTHORS ChangeLog README THANKS TODO NEWS TRANSLATORS
 
-       cd "${WORKDIR}/${PN}-extra-artwork-${ARTWORK_PV}/"
+       cd "${WORKDIR}/${PN}-extra-artwork-${ARTWORK_PV}/" || die
        emake DESTDIR="${D}" install
        # This carries over from -0.13 but appears to have no effect.
-       python_optimize "${D}"usr/share/${PN}
+       python_optimize "${ED}"usr/share/${PN}
 }
 
 pkg_postinst() {

Reply via email to